//
//  CronController.h
//  PsyncX
//
//  Created by David Baker on Mon May 12 2003.
//  Copyright (c) 2003 AcornSoft. All rights reserved.
//
// added to CVS on 10/18/03

#import <Foundation/Foundation.h>

@class CronJob;

@interface CronController : NSObject {
    
    NSMutableArray *jobsArray;
	int originalNumberOfJobs;
}

-(id)init;
    //-(id)initReading; //This is called by our main init

-(BOOL)needToSave;

-(void)readJobs;
-(int)numberOfJobs;
-(void)addJob:(CronJob *)job;

-(int)indexOfJob:(CronJob *)job;
-(CronJob *)jobAtIndex:(int)i;
-(BOOL)writeJobs;
-(void)removeJobs:(NSMutableArray *)tempArray;
-(void)dealloc;
@end
